PipeWire: stream Struct Reference

PipeWire 0.3.34

Data Fields
stream Struct Reference

## Data Fields
struct pw_stream | this
const char * | path
struct pw_context * | context
struct spa_hook | context_listener
enum spa_direction | direction
enum pw_stream_flags | flags
struct pw_impl_node * | node
struct spa_node | impl_node
struct spa_node_methods | node_methods
struct spa_hook_list | hooks
struct spa_callbacks | callbacks
struct spa_io_clock * | clock
struct spa_io_position * | position
struct spa_io_buffers * | io
struct {
struct spa_io_position * position
} | rt
uint32_t | port_change_mask_all
struct spa_port_info | port_info
struct pw_properties * | port_props
struct spa_param_info | port_params [N_PORT_PARAMS]
struct spa_list | param_list
uint32_t | change_mask_all
struct spa_node_info | info
struct spa_param_info | params [N_NODE_PARAMS]
uint32_t | media_type
uint32_t | media_subtype
struct buffer | buffers [MAX_BUFFERS]
uint32_t | n_buffers
struct queue | dequeued
struct queue | queued
struct data | data
uintptr_t | seq
struct pw_time | time
uint64_t | base_pos
uint32_t | clock_id
struct spa_latency_info | latency
uint64_t | quantum
struct spa_callbacks | rt_callbacks
unsigned int | disconnecting:1
unsigned int | disconnect_core:1
unsigned int | draining:1
unsigned int | drained:1
unsigned int | allow_mlock:1
unsigned int | warn_mlock:1
unsigned int | process_rt:1
unsigned int | driving:1
unsigned int | using_drive:1
struct spa_list | link
struct endpoint * | endpoint
struct pw_properties * | props
struct pw_endpoint_stream_info | info
struct spa_audio_info | format
unsigned int | active:1
struct sm_node * | obj
uint32_t | id
struct impl * | impl
char * | media_class
char * | key
unsigned int | restored:1
struct spa_hook | listener
struct sm_endpoint_stream * | obj

## Field Documentation

## ◆ active

unsigned int stream::active

Referenced by pw_stream_set_active().

## ◆ allow_mlock

unsigned int stream::allow_mlock

## ◆ base_pos

uint64_t stream::base_pos

## ◆ buffers

struct buffer stream::buffers[MAX_BUFFERS]

## ◆ callbacks

struct spa_callbacks stream::callbacks

## ◆ change_mask_all

uint32_t stream::change_mask_all

## ◆ clock

struct spa_io_clock* stream::clock

## ◆ clock_id

uint32_t stream::clock_id

## ◆ context

struct pw_context* stream::context

## ◆ context_listener

struct spa_hook stream::context_listener

## ◆ data

struct data stream::data

## ◆ dequeued

struct queue stream::dequeued

## ◆ direction

enum spa_direction stream::direction

## ◆ disconnect_core

unsigned int stream::disconnect_core

## ◆ disconnecting

unsigned int stream::disconnecting

## ◆ drained

unsigned int stream::drained

## ◆ draining

unsigned int stream::draining

## ◆ driving

unsigned int stream::driving

## ◆ endpoint

struct endpoint * stream::endpoint

## ◆ flags

enum pw_stream_flags stream::flags

## ◆ format

struct spa_audio_info stream::format

## ◆ hooks

struct spa_hook_list stream::hooks

## ◆ id

uint32_t stream::id

## ◆ impl

struct impl * stream::impl

Referenced by pw_stream_new(), and pw_stream_new_simple().

## ◆ impl_node

struct spa_node stream::impl_node

## ◆ info [1/2]

struct pw_endpoint_stream_info stream::info

## ◆ info [2/2]

struct pw_endpoint_stream_info stream::info

## ◆ io

struct spa_io_buffers* stream::io

## ◆ key

char* stream::key

## ◆ latency

struct spa_latency_info stream::latency

## ◆ link

struct spa_list stream::link

Referenced by pw_stream_destroy(), and pw_stream_disconnect().

## ◆ listener

struct spa_hook stream::listener

Referenced by pw_stream_add_listener().

## ◆ media_class

char* stream::media_class

## ◆ media_subtype

uint32_t stream::media_subtype

## ◆ media_type

uint32_t stream::media_type

## ◆ n_buffers

uint32_t stream::n_buffers

## ◆ node

struct pw_impl_node* stream::node

## ◆ node_methods

struct spa_node_methods stream::node_methods

## ◆ obj [1/2]

struct sm_endpoint_stream* stream::obj

## ◆ obj [2/2]

struct sm_node* stream::obj

## ◆ param_list

struct spa_list stream::param_list

## ◆ params

struct spa_param_info stream::params[N_NODE_PARAMS]

## ◆ path

const char* stream::path

## ◆ port_change_mask_all

uint32_t stream::port_change_mask_all

## ◆ port_info

struct spa_port_info stream::port_info

## ◆ port_params

struct spa_param_info stream::port_params[N_PORT_PARAMS]

## ◆ port_props

struct pw_properties* stream::port_props

## ◆ position

struct spa_io_position* stream::position

## ◆ process_rt

unsigned int stream::process_rt

## ◆ props

struct pw_properties * stream::props

## ◆ quantum

uint64_t stream::quantum

## ◆ queued

struct queue stream::queued

## ◆ restored

unsigned int stream::restored

## ◆

struct { ... } stream::rt

## ◆ rt_callbacks

struct spa_callbacks stream::rt_callbacks

## ◆ seq

uintptr_t stream::seq

## ◆ this

struct pw_stream stream::this

## ◆ time

struct pw_time stream::time

Referenced by pw_stream_get_time().

## ◆ using_drive

unsigned int stream::using_drive

## ◆ warn_mlock

unsigned int stream::warn_mlock

The documentation for this struct was generated from the following files:

- stream.c
- alsa-endpoint.c
- bluez-endpoint.c
- stream-endpoint.c
- restore-stream.c
- policy-ep.c
- v4l2-endpoint.c